
#include <gtk/gtk.h>

#ifndef NETUPCMD
#define NETUPCMD "/sbin/dhcpcd &"
#endif
#ifndef NETDOWNCMD
#define NETDOWNCMD "/bin/killall dhcpcd &"
#endif
#ifndef LABEL
#define LABEL "ADSL"
#endif

typedef struct
{
   char *netup;
   char *netdown;
   char *hangup;
   char *label;
   int  state;
   int  xpos;
   int  ypos;
   int  startdev;
   int  enddev;
} Settings;

enum state { isRed, isYellow, isGreen, isBlue };

// red    : no connection, no available device(s)
// yellow : no connection, available eth0 device(s)
// green  : connection established

extern Settings settings;

enum state checkState(void);
gint closeApp (GtkWidget *widget, GdkEvent *event, gpointer data );
gint stateMonitor(gpointer data);
void usage(char *basename);
void initialize(int argc, char *argv[]);
void testmain(int argc, char *argv[]);

